from dataclasses import dataclass

inputs = int(input().split(' ')[1])

expr = input().split(' ')

class Mult:
    def __init__(self, begin, end, terms):
        self.begin = begin
        self.end = end
        self.terms = terms
        self.odd_nums = sum(terms)
        self.even_nums = len(terms) - self.odd_nums

    @property
    def even(self) -> bool:
        return bool(self.even_nums)

    @property
    def odd(self) -> bool:
        return not self.even

    @property
    def range_size(self):
        return (self.end - self.begin) + 1

    def add_num(self, num):
        self.end += 1
        self.terms.append(num)
        if num == 0:
            self.even_nums += 1
        else:
            self.odd_nums += 1

    def update_num(self, num, idx):
        orig = self.terms[idx-self.begin]

        self.terms[idx-self.begin] = num

        if orig == 0:
            self.even_nums -= 1
        else:
            self.odd_nums -= 1

        if num == 0:
            self.even_nums += 1
        else:
            self.odd_nums += 1


    def __str__(self):
        return '*'.join(map(str, self.terms))


class Add:
    def __init__(self, terms):
        self.terms = terms

    @property
    def even(self) -> bool:
        odd_sum = 0
        for term in self.terms:
            odd_sum += term.odd

        return odd_sum % 2 == 0

    def update_num(self, num, idx):
        for term in self.terms:
            if term.begin <= idx <= term.end:
                term.update_num(num, idx)
                return

    def __str__(self):
        return '+'.join(map(str, self.terms))


converted = []

i = 0
num_idx = 0
while i < len(expr):
    if expr[i] == '+' or expr[i] == '-':
        converted.append(expr[i])

    elif converted and isinstance(converted[-1], Mult):
        converted[-1].add_num(int(expr[i+1]) & 1)
        i += 1

    else:
        
        mult = Mult(begin=num_idx, end=num_idx, terms=[int(expr[i]) & 1])
        converted.append(mult)
    if expr[i] not in '*-+':
        num_idx += 1
    i += 1

tree = Add(list(filter(lambda x: isinstance(x, Mult), converted)))

# print(tree)
print('even' if tree.even else 'odd')
for i in range(inputs):
    idx, num = input().split(' ')
    idx, num = int(idx)-1, int(num) & 1
    tree.update_num(num, idx)
    # print(tree)
    print('even' if tree.even else 'odd')
